[package]
name = "tree-sitter-cli"
description = "CLI tool for developing, testing, and using Tree-sitter parsers"
version = "0.20.8"
authors = ["Max Brunsfeld <maxbrunsfeld@gmail.com>"]
edition = "2021"
license = "MIT"
readme = "README.md"
keywords = ["incremental", "parsing"]
categories = ["command-line-utilities", "parsing"]
repository = "https://github.com/tree-sitter/tree-sitter"
rust-version.workspace = true

[[bin]]
name = "tree-sitter"
path = "src/main.rs"
doc = false

[[bench]]
name = "benchmark"
harness = false

[dependencies]
ansi_term = "0.12.1"
anyhow = "1.0.72"
atty = "0.2.14"
clap = "2.32"
ctrlc = { version = "3.4.0", features = ["termination"] }
difference = "2.0.0"
dirs = "5.0.1"
glob = "0.3.1"
html-escape = "0.2.13"
indexmap = "2.0.0"
lazy_static = "1.4.0"
path-slash = "0.2.1"
regex = "1.9.1"
regex-syntax = "0.7.4"
rustc-hash = "1.1.0"
semver = "1.0.18"
# Due to https://github.com/serde-rs/serde/issues/2538
serde = { version = "1.0, < 1.0.172", features = ["derive"] }
smallbitvec = "2.5.1"
tiny_http = "0.12.0"
walkdir = "2.3.3"
webbrowser = "0.8.10"
which = "4.4.0"

[dependencies.tree-sitter]
version = "0.20.10"
path = "../lib"

[dependencies.tree-sitter-config]
version = "0.19.0"
path = "config"

[dependencies.tree-sitter-highlight]
version = "0.20"
path = "../highlight"

[dependencies.tree-sitter-loader]
version = "0.20"
path = "loader"

[dependencies.tree-sitter-tags]
version = "0.20"
path = "../tags"

[dependencies.serde_json]
version = "1.0"
features = ["preserve_order"]

[dependencies.log]
version = "0.4.19"
features = ["std"]

[dev-dependencies]
tree_sitter_proc_macro = { path = "src/tests/proc_macro", package = "tree-sitter-tests-proc-macro" }

rand = "0.8.5"
tempfile = "3.6.0"
pretty_assertions = "1.4.0"
ctor = "0.2.4"
unindent = "0.2.2"
indoc = "2.0.3"

[build-dependencies]
toml = "0.7.6"
